'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.attachEventStream = exports.createEventStream = undefined;

var _mostProxy = require('most-proxy');

var attachProp = '@@most-proxy-attach';

var createEventStream = exports.createEventStream = function createEventStream() {
  var _proxy = (0, _mostProxy.proxy)();

  var attach = _proxy.attach;
  var stream = _proxy.stream;

  stream[attachProp] = attach;
  return stream;
};

var attachEventStream = exports.attachEventStream = function attachEventStream(proxy$, stream$) {
  return proxy$[attachProp](stream$);
};